diff --git a/src/main/java/net/minecraft/core/world/data/SynchedEntityData.java b/src/main/java/net/minecraft/core/world/data/SynchedEntityData.java
index 9e840eadb..f143486cb 100644
--- a/src/main/java/net/minecraft/core/world/data/SynchedEntityData.java
+++ b/src/main/java/net/minecraft/core/world/data/SynchedEntityData.java
@@ -12,10 +12,22 @@ import java.util.*;
  */
 public class SynchedEntityData
 {
-    private static final int END_MARKER = 127;
-    private static final int MAX_DATA_VALUE = 31;
-    private static final HashMap<Class<?>, Integer> DATA_TYPES = new HashMap<>();
 
+    // Type ID constants
+    public static final int TYPE_BYTE = 0;
+    public static final int TYPE_SHORT = 1;
+    public static final int TYPE_INT = 2;
+    public static final int TYPE_FLOAT = 3;
+    public static final int TYPE_STRING = 4;
+    public static final int TYPE_ITEMSTACK = 5;
+    public static final int TYPE_CHUNK_COORDINATE = 6;
+
+    // Format Constants
+    public static final int MAX_DATA_VALUE = 31;
+    public static final int TYPE_MASK = 0b1110_0000;
+    public static final int TYPE_SHIFT = 5;
+    public static final int END_MARKER = 127;
+    private static final HashMap<Class<?>, Integer> DATA_TYPES = new HashMap<>();
     private final Map<Integer, DataItem<?>> itemsById = new HashMap<>();
     private boolean isDirty;
 
@@ -189,44 +201,43 @@ public class SynchedEntityData
     private static <T> void writeDataItem(DataOutputStream dos, DataItem<T> di)
         throws IOException
     {
-        int typeValueByte = (di.getType() << 5 | di.getId() & 0x1F) & 0xFF;
+        int typeValueByte = (di.getType() << TYPE_SHIFT | di.getId() & ~TYPE_MASK) & 0xFF;
         dos.writeByte(typeValueByte);
 
-        switch(di.getType())
-        {
-        case 0:
-            dos.writeByte((Byte) di.getValue());
-            break;
-        case 1:
-            dos.writeShort((Short) di.getValue());
-            break;
-        case 2:
-            dos.writeInt((Integer) di.getValue());
-            break;
-        case 3:
-            dos.writeFloat((Float) di.getValue());
-            break;
-        case 4:
-            Packet.writeString((String)di.getValue(), dos);
-            break;
-        case 5:
-            ItemStack itemStack = (ItemStack)di.getValue();
-            if (itemStack == ItemStack.NO_ITEM){
-                dos.writeShort(-1);
-                dos.writeByte(-1);
-                dos.writeShort(-1);
-            } else {
-                dos.writeShort(itemStack.getItem().id);
-                dos.writeByte(itemStack.stackSize);
-                dos.writeShort(itemStack.getMetadata());
-            }
-            break;
-        case 6:
-            ChunkCoordinates chunkcoordinates = (ChunkCoordinates)di.getValue();
-            dos.writeInt(chunkcoordinates.x);
-            dos.writeInt(chunkcoordinates.y);
-            dos.writeInt(chunkcoordinates.z);
-            break;
+        switch(di.getType()) {
+            case TYPE_BYTE:
+                dos.writeByte((Byte) di.getValue());
+                break;
+            case TYPE_SHORT:
+                dos.writeShort((Short) di.getValue());
+                break;
+            case TYPE_INT:
+                dos.writeInt((Integer) di.getValue());
+                break;
+            case TYPE_FLOAT:
+                dos.writeFloat((Float) di.getValue());
+                break;
+            case TYPE_STRING:
+                Packet.writeString((String)di.getValue(), dos);
+                break;
+            case TYPE_ITEMSTACK:
+                ItemStack itemStack = (ItemStack)di.getValue();
+                if (itemStack == ItemStack.NO_ITEM){
+                    dos.writeShort(-1);
+                    dos.writeByte(-1);
+                    dos.writeShort(-1);
+                } else {
+                    dos.writeShort(itemStack.getItem().id);
+                    dos.writeByte(itemStack.stackSize);
+                    dos.writeShort(itemStack.getMetadata());
+                }
+                break;
+            case TYPE_CHUNK_COORDINATE:
+                ChunkCoordinates chunkcoordinates = (ChunkCoordinates)di.getValue();
+                dos.writeInt(chunkcoordinates.x);
+                dos.writeInt(chunkcoordinates.y);
+                dos.writeInt(chunkcoordinates.z);
+                break;
         }
     }
 
@@ -247,27 +258,27 @@ public class SynchedEntityData
             {
                 out = new ArrayList<>();
             }
-            int type = (data & 0xE0) >> 5;
-            int id = data & 0x1F;
+            int type = (data & TYPE_MASK) >> TYPE_SHIFT;
+            int id = data & ~TYPE_MASK;
             DataItem<?> di = null;
             switch(type)
             {
-                case 0:
+                case TYPE_BYTE:
                     di = new DataItem<>(type, id, dis.readByte());
                     break;
-                case 1:
+                case TYPE_SHORT:
                     di = new DataItem<>(type, id, dis.readShort());
                     break;
-                case 2:
+                case TYPE_INT:
                     di = new DataItem<>(type, id, dis.readInt());
                     break;
-                case 3:
+                case TYPE_FLOAT:
                     di = new DataItem<>(type, id, dis.readFloat());
                     break;
-                case 4:
+                case TYPE_STRING:
                     di = new DataItem<>(type, id, Packet.readString(dis, 64));
                     break;
-                case 5:
+                case TYPE_ITEMSTACK:
                     short itemId = dis.readShort();
                     byte itemCount = dis.readByte();
                     short itemData = dis.readShort();
@@ -277,7 +288,7 @@ public class SynchedEntityData
                         di = new DataItem<>(type, id, new ItemStack(itemId, itemCount, itemData));
                     }
                     break;
-                case 6:
+                case TYPE_CHUNK_COORDINATE:
                     int x = dis.readInt();
                     int y = dis.readInt();
                     int z = dis.readInt();
@@ -310,13 +321,13 @@ public class SynchedEntityData
 
     static 
     {
-        DATA_TYPES.put(java.lang.Byte.class, 0);
-        DATA_TYPES.put(java.lang.Short.class, 1);
-        DATA_TYPES.put(java.lang.Integer.class, 2);
-        DATA_TYPES.put(java.lang.Float.class, 3);
-        DATA_TYPES.put(java.lang.String.class, 4);
-        DATA_TYPES.put(ItemStack.class, 5);
-        DATA_TYPES.put(ChunkCoordinates.class, 6);
+        DATA_TYPES.put(Byte.class, TYPE_BYTE);
+        DATA_TYPES.put(Short.class, TYPE_SHORT);
+        DATA_TYPES.put(Integer.class, TYPE_INT);
+        DATA_TYPES.put(Float.class, TYPE_FLOAT);
+        DATA_TYPES.put(String.class, TYPE_STRING);
+        DATA_TYPES.put(ItemStack.class, TYPE_ITEMSTACK);
+        DATA_TYPES.put(ChunkCoordinates.class, TYPE_CHUNK_COORDINATE);
     }
 
     /**
diff --git a/src/main/java/net/minecraft/core/world/generate/MapGenCaves.java b/src/main/java/net/minecraft/core/world/generate/MapGenCaves.java
index b681ec06c..d6e237dcb 100644
--- a/src/main/java/net/minecraft/core/world/generate/MapGenCaves.java
+++ b/src/main/java/net/minecraft/core/world/generate/MapGenCaves.java
@@ -3,6 +3,7 @@ package net.minecraft.core.world.generate;
 import java.util.Random;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
@@ -12,7 +13,7 @@ import net.minecraft.core.world.chunk.ChunkSection;
 import net.minecraft.core.world.generate.chunk.ChunkGeneratorResult;
 
 // Referenced classes of package net.minecraft.src:
-//            MapGenBase, MathHelper, Block, BlockGrass,
+//            MapGenBase, MathHelper, Block, GrassBlock,
 //            World
 
 public class MapGenCaves extends MapGenBase
@@ -80,8 +81,8 @@ public class MapGenCaves extends MapGenBase
             // Do adjacent branches if necessary
             if(!noBranches && startPos == branchPos && initialRadius > 1.0F)
             {
-                generateCave(random.nextLong(), baseChunkX, baseChunkZ, result, blockX, blockY, blockZ, random.nextFloat() * 0.5F + 0.5F, rotHor - 1.570796F, rotVer / 3F, startPos, endPos, 1.0D);
-                generateCave(random.nextLong(), baseChunkX, baseChunkZ, result, blockX, blockY, blockZ, random.nextFloat() * 0.5F + 0.5F, rotHor + 1.570796F, rotVer / 3F, startPos, endPos, 1.0D);
+                generateCave(random.nextLong(), baseChunkX, baseChunkZ, result, blockX, blockY, blockZ, random.nextFloat() * 0.5F + 0.5F, rotHor - MathHelper.PI / 2F, rotVer / 3F, startPos, endPos, 1.0D);
+                generateCave(random.nextLong(), baseChunkX, baseChunkZ, result, blockX, blockY, blockZ, random.nextFloat() * 0.5F + 0.5F, rotHor + MathHelper.PI / 2F, rotVer / 3F, startPos, endPos, 1.0D);
                 return;
             }
 
@@ -106,12 +107,12 @@ public class MapGenCaves extends MapGenBase
             }
 
             // Determine sizes of current section
-            int minX = MathHelper.floor_double(blockX - width) - baseChunkX * Chunk.CHUNK_SIZE_X - 1;
-            int maxX = (MathHelper.floor_double(blockX + width) - baseChunkX * Chunk.CHUNK_SIZE_X) + 1;
-            int minY = MathHelper.floor_double(blockY - height) - 1;
-            int maxY = MathHelper.floor_double(blockY + height) + 1;
-            int minZ = MathHelper.floor_double(blockZ - width) - baseChunkZ * Chunk.CHUNK_SIZE_Z - 1;
-            int maxZ = (MathHelper.floor_double(blockZ + width) - baseChunkZ * Chunk.CHUNK_SIZE_Z) + 1;
+            int minX = MathHelper.floor(blockX - width) - baseChunkX * Chunk.CHUNK_SIZE_X - 1;
+            int maxX = (MathHelper.floor(blockX + width) - baseChunkX * Chunk.CHUNK_SIZE_X) + 1;
+            int minY = MathHelper.floor(blockY - height) - 1;
+            int maxY = MathHelper.floor(blockY + height) + 1;
+            int minZ = MathHelper.floor(blockZ - width) - baseChunkZ * Chunk.CHUNK_SIZE_Z - 1;
+            int maxZ = (MathHelper.floor(blockZ + width) - baseChunkZ * Chunk.CHUNK_SIZE_Z) + 1;
             if(minX < 0)
             {
                 minX = 0;
@@ -199,7 +200,7 @@ public class MapGenCaves extends MapGenBase
                             {
                                 if(y < 10)
                                 {
-                                    result.setBlock(x, yIndex, z, Block.fluidLavaStill.id);
+                                    result.setBlock(x, yIndex, z, Blocks.FLUID_LAVA_STILL.id);
                                 } else
                                 {
                                     result.setBlock(x, yIndex, z, 0);
diff --git a/src/main/java/net/minecraft/core/world/generate/MapGenCavesHell.java b/src/main/java/net/minecraft/core/world/generate/MapGenCavesHell.java
index 380b5643e..402bd4299 100644
--- a/src/main/java/net/minecraft/core/world/generate/MapGenCavesHell.java
+++ b/src/main/java/net/minecraft/core/world/generate/MapGenCavesHell.java
@@ -11,7 +11,7 @@ import net.minecraft.core.world.generate.chunk.ChunkGeneratorResult;
 import java.util.Random;
 
 // Referenced classes of package net.minecraft.src:
-//            MapGenBase, MathHelper, Block, BlockGrass,
+//            MapGenBase, MathHelper, Block, GrassBlock,
 //            World
 
 public class MapGenCavesHell extends MapGenBase
@@ -51,7 +51,7 @@ public class MapGenCavesHell extends MapGenBase
 		boolean sharpRotVer = random.nextInt(6) == 0;
 		for(; startPos < endPos; startPos++)
 		{
-			double width = 1.5D + (double)(MathHelper.sin(((float)startPos * 3.141593F) / (float)endPos) * initialRadius * 1.0F);
+			double width = 1.5D + (double)(MathHelper.sin(((float)startPos * MathHelper.PI) / (float)endPos) * initialRadius * 1.0F);
 			double height = width * heightMod;
 			float xzScale = MathHelper.cos(rotVer);
 			float yOffset = MathHelper.sin(rotVer);
@@ -76,8 +76,8 @@ public class MapGenCavesHell extends MapGenBase
 			// Do adjacent branches if necessary
 			if(!noBranches && startPos == branchPos && initialRadius > 1.0F)
 			{
-				generateCave(random.nextLong(), baseChunkX, baseChunkZ, result, blockX, blockY, blockZ, random.nextFloat() * 0.5F + 0.5F, rotHor - 1.570796F, rotVer / 3F, startPos, endPos, 1.0D);
-				generateCave(random.nextLong(), baseChunkX, baseChunkZ, result, blockX, blockY, blockZ, random.nextFloat() * 0.5F + 0.5F, rotHor + 1.570796F, rotVer / 3F, startPos, endPos, 1.0D);
+				generateCave(random.nextLong(), baseChunkX, baseChunkZ, result, blockX, blockY, blockZ, random.nextFloat() * 0.5F + 0.5F, rotHor - MathHelper.PI / 2F, rotVer / 3F, startPos, endPos, 1.0D);
+				generateCave(random.nextLong(), baseChunkX, baseChunkZ, result, blockX, blockY, blockZ, random.nextFloat() * 0.5F + 0.5F, rotHor + MathHelper.PI / 2F, rotVer / 3F, startPos, endPos, 1.0D);
 				return;
 			}
 
@@ -102,12 +102,12 @@ public class MapGenCavesHell extends MapGenBase
 			}
 
 			// Determine sizes of current section
-			int minX = MathHelper.floor_double(blockX - width) - baseChunkX * Chunk.CHUNK_SIZE_X - 1;
-			int maxX = (MathHelper.floor_double(blockX + width) - baseChunkX * Chunk.CHUNK_SIZE_X) + 1;
-			int minY = MathHelper.floor_double(blockY - height) - 1;
-			int maxY = MathHelper.floor_double(blockY + height) + 1;
-			int minZ = MathHelper.floor_double(blockZ - width) - baseChunkZ * Chunk.CHUNK_SIZE_Z - 1;
-			int maxZ = (MathHelper.floor_double(blockZ + width) - baseChunkZ * Chunk.CHUNK_SIZE_Z) + 1;
+			int minX = MathHelper.floor(blockX - width) - baseChunkX * Chunk.CHUNK_SIZE_X - 1;
+			int maxX = (MathHelper.floor(blockX + width) - baseChunkX * Chunk.CHUNK_SIZE_X) + 1;
+			int minY = MathHelper.floor(blockY - height) - 1;
+			int maxY = MathHelper.floor(blockY + height) + 1;
+			int minZ = MathHelper.floor(blockZ - width) - baseChunkZ * Chunk.CHUNK_SIZE_Z - 1;
+			int maxZ = (MathHelper.floor(blockZ + width) - baseChunkZ * Chunk.CHUNK_SIZE_Z) + 1;
 			if(minX < 0)
 			{
 				minX = 0;
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGeneratorResult.java b/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGeneratorResult.java
index 680286b03..0ea90249d 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGeneratorResult.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/ChunkGeneratorResult.java
@@ -1,6 +1,7 @@
 package net.minecraft.core.world.generate.chunk;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.chunk.ChunkSection;
 
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/classic/ChunkGeneratorClassic.java b/src/main/java/net/minecraft/core/world/generate/chunk/classic/ChunkGeneratorClassic.java
index db6e440d8..2028ff1f4 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/classic/ChunkGeneratorClassic.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/classic/ChunkGeneratorClassic.java
@@ -1,22 +1,18 @@
 package net.minecraft.core.world.generate.chunk.classic;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
-import net.minecraft.core.world.chunk.ChunkSection;
 import net.minecraft.core.world.generate.MapGenCaves;
-import net.minecraft.core.world.generate.chunk.ChunkDecorator;
 import net.minecraft.core.world.generate.chunk.ChunkGenerator;
 import net.minecraft.core.world.generate.chunk.ChunkGeneratorResult;
 import net.minecraft.core.world.generate.chunk.perlin.SurfaceGenerator;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.retro.ChunkDecoratorOverworldRetro;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.retro.SurfaceGeneratorOverworldRetro;
 import net.minecraft.core.world.noise.CombinedPerlinNoise;
-import net.minecraft.core.world.noise.ImprovedNoise;
 import net.minecraft.core.world.noise.PerlinNoise;
 
-import java.util.Random;
-
 public class ChunkGeneratorClassic
     extends ChunkGenerator
 {
@@ -123,16 +119,16 @@ public class ChunkGeneratorClassic
 
                     if (y < newHeight)
                     {
-                        blockID = world.getWorldType().getFillerBlock();
+                        blockID = world.getWorldType().getFillerBlockId();
                     }
                     else if (y < world.getWorldType().getOceanY())
                     {
-                        blockID = world.getWorldType().getOceanBlock();
+                        blockID = world.getWorldType().getOceanBlockId();
                     }
 
                     if (y == 0)
                     {
-                        blockID = Block.bedrock.id;
+                        blockID = Blocks.BEDROCK.id;
                     }
 
                     result.setBlock(x, y, z, blockID);
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/debug/ChunkDecoratorDebug.java b/src/main/java/net/minecraft/core/world/generate/chunk/debug/ChunkDecoratorDebug.java
index 87360d25b..55ff1a3b0 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/debug/ChunkDecoratorDebug.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/debug/ChunkDecoratorDebug.java
@@ -1,6 +1,7 @@
 package net.minecraft.core.world.generate.chunk.debug;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.ChunkDecorator;
 
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/empty/ChunkDecoratorEmpty.java b/src/main/java/net/minecraft/core/world/generate/chunk/empty/ChunkDecoratorEmpty.java
index ab3632825..c2ad0fecc 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/empty/ChunkDecoratorEmpty.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/empty/ChunkDecoratorEmpty.java
@@ -1,6 +1,7 @@
 package net.minecraft.core.world.generate.chunk.empty;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.ChunkDecorator;
 
@@ -12,7 +13,7 @@ public class ChunkDecoratorEmpty
     {
         if (chunk.xPosition == 0 && chunk.zPosition == 0)
         {
-            chunk.setBlockID(0, 0, 0, Block.bedrock.id);
+            chunk.setBlockID(0, 0, 0, Blocks.BEDROCK.id);
         }
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/flat/ChunkGeneratorFlat.java b/src/main/java/net/minecraft/core/world/generate/chunk/flat/ChunkGeneratorFlat.java
index 6e48a3f66..1392b3e99 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/flat/ChunkGeneratorFlat.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/flat/ChunkGeneratorFlat.java
@@ -1,9 +1,9 @@
 package net.minecraft.core.world.generate.chunk.flat;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
-import net.minecraft.core.world.chunk.ChunkSection;
 import net.minecraft.core.world.generate.chunk.ChunkGenerator;
 import net.minecraft.core.world.generate.chunk.ChunkGeneratorResult;
 
@@ -22,14 +22,14 @@ public class ChunkGeneratorFlat
 
         for (int z = 0; z < Chunk.CHUNK_SIZE_Z; z++) {
             for (int x = 0; x < Chunk.CHUNK_SIZE_X; x++) {
-                result.setBlock(x, 0, z, Block.bedrock.id);
+                result.setBlock(x, 0, z, Blocks.BEDROCK.id);
                 for (int y = 1; y < 4; y++) {
-                    result.setBlock(x, y, z, Block.stone.id);
+                    result.setBlock(x, y, z, Blocks.STONE.id);
                 }
                 for (int y = 4; y < 6; y++) {
-                    result.setBlock(x, y, z, Block.dirt.id);
+                    result.setBlock(x, y, z, Blocks.DIRT.id);
                 }
-                result.setBlock(x, 6, z, Block.grass.id);
+                result.setBlock(x, 6, z, Blocks.GRASS.id);
             }
         }
 
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/indev/ChunkGeneratorIndev.java b/src/main/java/net/minecraft/core/world/generate/chunk/indev/ChunkGeneratorIndev.java
index 094cb09e4..0fed457a1 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/indev/ChunkGeneratorIndev.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/indev/ChunkGeneratorIndev.java
@@ -1,17 +1,15 @@
 package net.minecraft.core.world.generate.chunk.indev;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
-import net.minecraft.core.world.chunk.ChunkSection;
 import net.minecraft.core.world.generate.MapGenCaves;
 import net.minecraft.core.world.generate.chunk.ChunkGenerator;
 import net.minecraft.core.world.generate.chunk.ChunkGeneratorResult;
 import net.minecraft.core.world.generate.chunk.perlin.SurfaceGenerator;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.retro.ChunkDecoratorOverworldRetro;
 import net.minecraft.core.world.generate.chunk.perlin.overworld.retro.SurfaceGeneratorOverworldRetro;
-import net.minecraft.core.world.noise.CombinedPerlinNoise;
-import net.minecraft.core.world.noise.PerlinNoise;
 
 public class ChunkGeneratorIndev
     extends ChunkGenerator
@@ -42,7 +40,7 @@ public class ChunkGeneratorIndev
         // Place bedrock
         for (int x = 0; x < Chunk.CHUNK_SIZE_X; x++) {
             for (int z = 0; z < Chunk.CHUNK_SIZE_Z; z++) {
-                result.setBlock(x, 0, z, Block.bedrock.id);
+                result.setBlock(x, 0, z, Blocks.BEDROCK.id);
             }
         }
 
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/indev/LevelGenerator.java b/src/main/java/net/minecraft/core/world/generate/chunk/indev/LevelGenerator.java
index 7eb8906ed..dc9e4ee60 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/indev/LevelGenerator.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/indev/LevelGenerator.java
@@ -1,18 +1,13 @@
 package net.minecraft.core.world.generate.chunk.indev;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.BlockFlower;
-import net.minecraft.core.util.helper.MathHelper;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.ChunkGeneratorResult;
-import net.minecraft.core.world.generate.feature.tree.WorldFeatureTree;
 import net.minecraft.core.world.noise.CombinedPerlinNoise;
 import net.minecraft.core.world.noise.RetroPerlinNoise;
 
-import java.util.ArrayList;
-import java.util.Random;
-
 public final class LevelGenerator {
     private final int sizeX;
     private final int sizeY;
@@ -156,7 +151,7 @@ public final class LevelGenerator {
                     for (int y = 0; y < sizeY; y++) {
                         int id = 0;
                         if (y <= height) {
-                            id = Block.stone.id;
+                            id = Blocks.STONE.id;
                         }
 
                         if (worldType == IndevWorldType.FLOATING && y < floatingLayerMinY) {
@@ -198,17 +193,17 @@ public final class LevelGenerator {
 
                     int height = heightMap[x + z * Chunk.CHUNK_SIZE_X];
                     int topBlock = result.getBlock(x, height + 1, z);
-                    if ((topBlock == Block.fluidWaterFlowing.id || topBlock == Block.fluidWaterStill.id || topBlock == 0)
+                    if ((topBlock == Blocks.FLUID_WATER_FLOWING.id || topBlock == Blocks.FLUID_WATER_STILL.id || topBlock == 0)
                         && height <= waterLevel - 1 && isGravel) {
-                        result.setBlock(x, height, z, Block.gravel.id);
+                        result.setBlock(x, height, z, Blocks.GRAVEL.id);
                     }
 
                     if (topBlock == 0) {
                         int id = -1;
                         if (height <= beachHeight && isSand) {
-                            id = Block.sand.id;
+                            id = Blocks.SAND.id;
                             if (worldTheme == IndevWorldTheme.HELL) {
-                                id = Block.grass.id;
+                                id = Blocks.GRASS.id;
                             }
                         }
 
@@ -228,7 +223,7 @@ public final class LevelGenerator {
                         int i = Chunk.makeBlockIndex(x, y, z);
                         int id = result.getBlock(x, y, z);
                         if (id == 0 && y < waterLevel) {
-                            result.setBlock(x, y, z, Block.fluidWaterStill.id);
+                            result.setBlock(x, y, z, Blocks.FLUID_WATER_STILL.id);
                         }
                     }
                 }
@@ -244,11 +239,11 @@ public final class LevelGenerator {
         for (int x = xSpawn - 3; x <= xSpawn + 3; x++) {
             for (int y = ySpawn - 2; y <= ySpawn + 2; y++) {
                 for (int z = zSpawn - 3; z <= zSpawn + 3; z++) {
-                    int id = y < ySpawn - 1 ? Block.obsidian.id : 0;
+                    int id = y < ySpawn - 1 ? Blocks.OBSIDIAN.id : 0;
                     if (x == xSpawn - 3 || z == zSpawn - 3 || x == xSpawn + 3 || z == zSpawn + 3 || y == ySpawn - 2 || y == ySpawn + 2) {
-                        id = Block.stone.id;
+                        id = Blocks.STONE.id;
                         if (y >= ySpawn - 1) {
-                            id = Block.planksOak.id;
+                            id = Blocks.PLANKS_OAK.id;
                         }
                     }
 
@@ -261,7 +256,7 @@ public final class LevelGenerator {
             }
         }
 
-        world.setBlockWithNotify(xSpawn - 3 + 1, ySpawn + 2, zSpawn, Block.torchCoal.id);
-        world.setBlockWithNotify(xSpawn + 3 - 1, ySpawn + 2, zSpawn, Block.torchCoal.id);
+        world.setBlockWithNotify(xSpawn - 3 + 1, ySpawn + 2, zSpawn, Blocks.TORCH_COAL.id);
+        world.setBlockWithNotify(xSpawn + 3 - 1, ySpawn + 2, zSpawn, Blocks.TORCH_COAL.id);
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/ChunkDecoratorNether.java b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/ChunkDecoratorNether.java
index 210dd3c40..b0c260f8f 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/ChunkDecoratorNether.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/ChunkDecoratorNether.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.world.generate.chunk.perlin.nether;
 
-import net.minecraft.core.block.Block;
-import net.minecraft.core.block.BlockSand;
+import net.minecraft.core.block.Blocks;
+import net.minecraft.core.block.SandBlock;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.ChunkDecorator;
@@ -31,7 +31,7 @@ public class ChunkDecoratorNether
 
         Random rand = new Random((long) chunkX * 0x4f9939f508L + (long) chunkZ * 0x1ef1565bd5L);
 
-        BlockSand.fallInstantly = true;
+        SandBlock.fallInstantly = true;
         int x = chunkX * 16;
         int z = chunkZ * 16;
         for(int i = 0; i < 8; i++)
@@ -39,7 +39,7 @@ public class ChunkDecoratorNether
             int xf = x + rand.nextInt(16) + 8;
             int yf = minY + rand.nextInt(rangeY - 8) + 4;
             int zf = z + rand.nextInt(16) + 8;
-            (new WorldFeatureNetherLava(Block.fluidLavaFlowing.id)).generate(world, rand, xf, yf, zf);
+            (new WorldFeatureNetherLava(Blocks.FLUID_LAVA_FLOWING.id)).place(world, rand, xf, yf, zf);
         }
 
         for(int i = 0; i < 10; i++)
@@ -47,7 +47,7 @@ public class ChunkDecoratorNether
             int xf = x + rand.nextInt(16);
             int yf = minY + rand.nextInt(rangeY - 8) + 4;
             int zf = z + rand.nextInt(16);
-            (new WorldFeatureOre(Block.oreNethercoalNetherrack.id, 12, false)).generate(world, rand, xf, yf, zf);
+            (new WorldFeatureOre(Blocks.ORE_NETHERCOAL_NETHERRACK.id, 12)).place(world, rand, xf, yf, zf);
         }
 
         int max = rand.nextInt(rand.nextInt(10) + 1);
@@ -56,7 +56,7 @@ public class ChunkDecoratorNether
             int xf = x + rand.nextInt(16) + 8;
             int yf = minY + rand.nextInt(rangeY - 8) + 4;
             int zf = z + rand.nextInt(16) + 8;
-            (new WorldFeatureFire()).generate(world, rand, xf, yf, zf);
+            (new WorldFeatureFire()).place(world, rand, xf, yf, zf);
         }
 
         max = rand.nextInt(rand.nextInt(10) + 1);
@@ -65,7 +65,7 @@ public class ChunkDecoratorNether
             int xf = x + rand.nextInt(16) + 8;
             int yf = minY + rand.nextInt(rangeY - 8) + 4;
             int zf = z + rand.nextInt(16) + 8;
-            (new WorldFeatureGlowstoneA()).generate(world, rand, xf, yf, zf);
+            (new WorldFeatureGlowstoneA()).place(world, rand, xf, yf, zf);
         }
 
         for(int i = 0; i < 10; i++)
@@ -73,17 +73,17 @@ public class ChunkDecoratorNether
             int xf = x + rand.nextInt(16) + 8;
             int yf = minY + rand.nextInt(rangeY - 8) + 4;
             int zf = z + rand.nextInt(16) + 8;
-            (new WorldFeatureGlowstoneB()).generate(world, rand, xf, yf, zf);
+            (new WorldFeatureGlowstoneB()).place(world, rand, xf, yf, zf);
         }
 
         if (rand.nextInt(8) == 0) {
             int xf = x + rand.nextInt(16) + 8;
             int yf = minY + rand.nextInt(rangeY - 16) + 8;
             int zf = z + rand.nextInt(16) + 8;
-            (new WorldFeatureLake(Block.fluidLavaStill.id)).generate(world, rand, xf, yf, zf);
+            (new WorldFeatureLake(Blocks.FLUID_LAVA_STILL.id)).place(world, rand, xf, yf, zf);
         }
 
-        BlockSand.fallInstantly = false;
+        SandBlock.fallInstantly = false;
 
     }
 }
